%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(Getopt/GUI/Long.pm) perl(IO/File.pm) perl(Test/More.pm) perl(UNIVERSAL.pm)
# END SourceDeps(oneline)
%define module_version 0.3
%define module_name TheOneRing
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3
Release: alt1
Summary: The One Ring to manage all other version control systems
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HA/HARDAKER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
If you're a developer of multiple projects like me, you'll find
yourself needing to switch between multiple different Version Control
Systems (VCSs).  After I've worked on one project using, say, SVN for
an hour I may need to switch to a different one that's using, say,
git.  That's where I start beating my head on a wall.

Not because I dislike either system; I actually like both of those.
It's because my mind thinks "check that in" and then my fingers have
already started typing "svn commit ..." instead of using "git".  It's
just habit.  The VCS should be getting out of my way, but because
there are so many it just got in my way.  I can't work on auto-pilot
because different projects need different VCSes.

95%% plus percent of your version control operations are the simple
ones: modify, diff, commit, update, status, info, etc.  It's actually
fairly rare that you need to dive into the more advanced operations.
Thus, I thought, why can't I have a system that automatically figures
out what sort of checkout path I'm in and invoke the right command for
me.  Better yet, they can merge the common features of them all and do
translations to the oddballs when necessary (for example, -N in many
systems means "non-recursive" but in CVS it's "-l" (of course)).

Hence, The One Ring was forged.  And it was good (not evil).

or is the command line application that is a wrapper around SVN,
SVK, CVS and GIT (currently just these 4; others are easy to add).
Internally most of the work is done by the *TheOneRing* perl module
which does the brute force of the work (which is really driving the
slave modules appropriately).

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc COPYING
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Apr 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1
- initial import by package builder

